Tartalom

# GoSub...Return Statement

Calls a subroutine that is indicated by a label inside a Sub or a Function. The statements following the label are executed until the next Return statement. Afterwards, the program continues with the statement that follows the GoSub statement.

### Szintaxis:

    GoSub label[:]

### Paraméterek:

label: A line identifier indicating where to continue execution. The scope of a label in that of the routine it belongs to.

The GoSub statement calls a local subroutine indicated by a label from within a subroutine or a function. The name of the label must end with a colon (":").

      Sub/Function foo
          ' utasítások
          GoSub label
          ' utasítások
          Exit Sub/Function
      label:
          ' utasítások
          Return
      End Sub/Function

Ha a program futása olyan Return utasításhoz ér, amelyet nem előzött meg GoSub utasítás, akkor a LibreOffice Basic hibaüzenetet ad vissza. Az Exit Sub vagy Exit Function segítségével biztosítsuk, hogy a program elhagyja a szubrutint vagy függvényt a következő Return utasítás elérése előtt.

Az alábbi példa bemutatja a GoSub és Return használatát. A programszakasz kétszeri végrehajtásával a program kiszámítja a felhasználó által beírt két szám négyzetgyökét.

### Példa:

    Sub ExampleGoSub
    Dim iInputa As Single
    Dim iInputb As Single
    Dim iInputc As Single
        iInputa = Int(InputBox("Írja be az első számot: ","Számbevitel"))
        iInputb = Int(InputBox("Írja be a második számot: ","Számbevitel"))
        iInputc=iInputa
        GoSub SquareRoot
        Print iInputa;" négyzetgyöke ";iInputc
        iInputc=iInputb
        GoSub SquareRoot
        Print iInputb;" négyzetgyöke ";iInputc
        Exit Sub
    SquareRoot:
        iInputc=sqr(iInputc)
        Return
    End Sub

Kapcsolódó témakörök

GoTo Statement

On...GoSub Statement; On...GoTo Statement

Támogasson minket!